Summary: A super fast, graphicly intensive, eye burning Window Manager for X11
Name: enlightenment
Version: DR_0.12.5
Release: 1
Copyright: GPL
Group: X11/Window Managers
URL: http://mandrake.net/e/
Source: ftp://ftp.mandrake.net/pub/enlightenment/enl_DR-0.12.5.tar.gz
Patch: enl-DR_0.12.5-redhat.patch
Requires: imlib >= DR_0.5
BuildRoot: /tmp/enl-root

Packager: Andrew Pimlott <pimlott@math.harvard.edu>
# finger for PGP public key

%description
Enlightenment is a window manager for X11 which is intended for high-color
displays, but can work on anything. It is the most graphically intense
window manager available, i.e., nothing like it!

%package DEFAULT
Summary: The DEFAULT theme for Enlightenment
Group: X11/Window Managers
Requires: enlightenment >= DR_0.12

%description DEFAULT
This is the DEFAULT theme for Enlightenment.  If you install this and run
enlightenment without specifying a theme, this will be used.

%package DEFAULT_small
Summary: The DEFAULT_small theme for Enlightenment
Group: X11/Window Managers
Requires: enlightenment >= DR_0.12

%description DEFAULT_small
This is the DEFAULT_small theme for Enlightenment, which has more compact
title bars than DEFAULT.

%changelog

* Wed Oct 29 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- Upgraded from 0.12.2 to 0.12.5--no major changes

* Sun Aug 30 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- (Really Aug 31, but a silly bug in rpm disallows this!)
- Upgraded to DR_0.12.2; this required no other changes.
- Incorporated the following changes from Ximenes Zalteca <ximenes@mythic.net>
- Put the themes that come with the distribution into subpackages
- Commented UseUsrLocal in Imakefile in order to install into the standard
  places (this also required commenting a hard-coded BINDIR).  Updated the
  %files section accordingly.

* Sun Aug 24 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- BuildRoot'ed (required a small makefile patch to remove chown's)
- Added some doc files to the files section
- Fixed the install section to copy the default themes (they were omitted
  before)

%prep
%setup -n enl-0.12.5
%patch

%build
xmkmf -a
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/X11/enlightenment/themes
cp -p themes/* $RPM_BUILD_ROOT/etc/X11/enlightenment/themes/

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/enl-0.12.5

%files
%attr(-, root, root) %doc README COPYING CONFIGURATION
%attr(-, root, root) /usr/X11R6/bin/enlightenment
%attr(-, root, root) %dir /etc/X11/enlightenment
%attr(-, root, root) %dir /etc/X11/enlightenment/themes

%files DEFAULT
%attr(-, root, root) /etc/X11/enlightenment/themes/DEFAULT

%files DEFAULT_small
%attr(-, root, root) /etc/X11/enlightenment/themes/DEFAULT_small
